List documents
GET
Documents in one workspace, offset-paginated, most recently updated first.
Access: workspace_viewer · API key documents:read
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>page?numberRange
1 <= value <= 10000Default
1limit?numberRange
1 <= value <= 100Default
25orderDirection?stringDefault
"desc"Value in
"asc""desc"workspaceId*stringFormat
uuidstatus?stringValue in
"uploaded""processing""ready""failed"active?booleanorderBy?stringValue in
"name""filename""status""active""sizeBytes""createdAt""updatedAt"search?stringFree-text search over the searchBy fields.
Length
1 <= length <= 255searchBy?stringComma-separated: name, filename.
Success
application/json- response
[index: integer]?curl -X GET 'https://api.poc.app.waylovoice.ai/documents?workspaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Authorization: Bearer sk_waylo_...'Example Response
[ { "id": "string", "workspaceId": "string", "name": "string", "description": "string", "active": true, "filename": "string", "contentType": "string", "sizeBytes": 0, "status": "uploaded", "error": "string", "chunkCount": 0, "embeddedChunkCount": 0, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e", "updatedByUserName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]